Question: Current status of EPIC peak caller
0
gravatar for ariel.balter
2.5 years ago by
ariel.balter140
ariel.balter140 wrote:

What is the status of the options for the epic peak caller? The most recent version in the changelog is v0.1.2 (unreleased). I just installed it with conda and it brought down 0.1.6.

(p2) bicb199:examples balter$ epic --version
epic 0.1.6

Also, the changelogs for 0.1.19 removed all bedgraph and bigwig options, but they are still on the README docs.

0.1.20 says that there is a new -b option for creating bed files (as output I assume), but I get an error that that option is not recognized, so maybe it has been removed?

usage: epic [-h] --treatment TREATMENT [TREATMENT ...] --control CONTROL
            [CONTROL ...] [--number-cores NUMBER_CORES] [--genome GENOME]
            [--keep-duplicates KEEP_DUPLICATES] [--window-size WINDOW_SIZE]
            [--gaps-allowed GAPS_ALLOWED] [--fragment-size FRAGMENT_SIZE]
            [--false-discovery-rate-cutoff FALSE_DISCOVERY_RATE_CUTOFF]
            [--effective_genome_length EFFECTIVE_GENOME_LENGTH]
            [--store-matrix STORE_MATRIX] [--paired-end] [--version]
epic: error: unrecognized arguments: -b

0.1.21 says that it uses pyBigWig to create bigwigs, but I'm not sure how to use this functionality.

chip-seq peak calling epic • 941 views
ADD COMMENTlink modified 4 days ago by endrebak740 • written 2.5 years ago by ariel.balter140

The most recent release is 0.1.20, which is available via pypi. I'll update bioconda now so it has 0.1.20 (if you conda install -c bioconda epic you'll currently get 0.1.17). Regarding 0.1.21, I don't think that's released yet. He (endrebak) was just asking me about using pyBigWig a week or so ago, so I imagine the next release needs a bit of time.

ADD REPLYlink written 2.5 years ago by Devon Ryan89k

So how come I got V0.1.6?

Oh, and should the -b switch for bed files be active now? I'm getting an error. But I'm also getting a funny version. I installed using bioconda as you showed above.

ADD REPLYlink modified 2.5 years ago • written 2.5 years ago by ariel.balter140

TravisCI has been having issues, so the bioconda package was only just updated a few hours ago.

$ conda install -c bioconda epic
$ epic --version
epic 0.1.20
ADD REPLYlink written 2.5 years ago by Devon Ryan89k
0
gravatar for endrebak
4 days ago by
endrebak740
endrebak740 wrote:

epic is currently deprecated in favor of epic2. epic2 does not support bigwig creation, but I might add a recipe on how to create the same bigwigs with pyranges. Would only be a few lines of code :)

ADD COMMENTlink written 4 days ago by endrebak740
Please log in to add an answer.

Help
Access

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.
Powered by Biostar version 2.3.0
Traffic: 1136 users visited in the last hour